# bot/plugs/delta.py
#
#

""" verschil. """

from bot.utils import time_stamp, tdiff, make_time, dtime
from bot import kernel

## delta command

def do_delta(event):
    t = event.args[1]
    first = event.first(t)
    last = event.last(t)
    time_1 = make_time(first.added)
    time_2 = make_time(last.added)
    delta = float(time_2 - time_1)
    event.reply("%s days" % (delta/(24*3600.0)))

kernel.register("delta", do_delta)
