#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='45',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ 

het godsoordeel houd in, schuldig bij default en daarna martelen totdat god je red. 

"kijken wat helpt"

Marteling, ook wel foltering of pijniging, 
is een zeer ernstige geestelijke of lichamelijke handeling, 
waarbij het slachtoffer gedurende langere tijd is overgeleverd aan de wil

martelen is:

1) vrijheids ontneming
2) wils ontneming
3) wils inlegging
4) vereiste tegenwil
5) zonde vanwege de tegenwil
6) zonde als argument om de dood te brengen

""",
    data_files=[('docs', ["docs/zoishet", 
                          "docs/afname", 
                          "docs/crap", 
                          "docs/ditwordhem", 
                          "docs/ontkenning", 
                          "docs/situatie", 
                          "docs/story", 
                          "docs/todo", 
                          "docs/wil", 
                          "docs/punt", 
                          "docs/lanes", 
                          "docs/story", 
                          "docs/fases"]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
