# bot/plugs/rss.py
#
#

""" rss module. """

## IMPORTS

from bot import Object, kernel
from bot.utils import parse_urls

## basic imports

import threading
import logging

## RSS class

class RSS(Object):

    def __init__(zelf, sleeptime, *args, **kwargs):
        Object.__init__(zelf, *args, **kwargs)
        zelf.sleeptime = sleeptime
        zelf.do_one()
        
    def do_one(zelf, *args, **kwargs):
        zelf.timer = threading.Timer(zelf.sleeptime, zelf.poll)
        zelf.timer.start()

    def poll(zelf, *args, **kwargs):
        import bot.feedparser as fp
        o = Object()
        logging.warn("polling %s" % str(zelf.timer))
        for obj in o.get_all("rss"):
            logging.warn("poll %s" % obj.rss)
            data = fp.parse(obj.rss)
            for entry in data["entries"]:
                if o.has_obj("link", entry["link"]): logging.warn("skip %s" % entry["link"]) ; continue
                oo = Object(**entry)
                oo.save()
                result = "%s -=- %s" % (entry["title"], entry["link"])
                for bot in kernel.fleet: bot.announce(result)
        zelf.do_one()
