# bot/plugs/timer.py
#
#

""" time the timing. """

## IMPORTS

from bot.utils import strtotime, today
from bot import kernel, Object

import datetime
import threading
import logging
import time

## Echo class

class Echo(Object):

    def __init__(zelf, sleeptime, event, *args, **kwargs):
        Object.__init__(zelf, *args, **kwargs)
        zelf.sleeptime = sleeptime
        zelf.timer = threading.Timer(zelf.sleeptime, zelf.echo)
        zelf.event = event
        zelf.timer.start()
        logging.warn("started")

    def echo(zelf, *args, **kwargs):
        zelf.event.reply(zelf.event.rest)

## do_timer command

def do_timer(event):
    todo_time = strtotime(event.rest)
    if todo_time:
        do_time = today() + todo_time
        time_diff = do_time - time.time()
        event.reply("time detected: %s" % time.ctime(do_time))
        kernel.run["timer"] = Echo(time_diff, event)

kernel.register("timer", do_timer)
